Bug 45543 - [New Port] MySQL 4.0.5
Summary: [New Port] MySQL 4.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-20 22:50 UTC by Alex Dupre
Modified: 2003-01-31 16:06 UTC (History)
0 users

See Also:


Attachments
mysql40.sh (21.70 KB, text/plain)
2002-11-20 22:50 UTC, Alex Dupre
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre 2002-11-20 22:50:01 UTC
Port of the just released MySQL 4.0.5.
Requires commit of PR 45542.
Comment 1 Alex Dupre 2002-11-20 23:19:11 UTC
Thanks to the MySQL guys to have renamed the distribution archive few
days after the release <g>

diff -ruN mysql40-server.orig/Makefile mysql40-server/Makefile
--- mysql40-server.orig/Makefile        Thu Nov 21 00:12:44 2002
+++ mysql40-server/Makefile     Thu Nov 21 00:13:23 2002
@@ -23,11 +23,10 @@
                http://mysql.oms-net.nl/Downloads/MySQL-4.0/ \
                ftp://ftp.free.fr/pub/MySQL/Downloads/MySQL-4.0/
 PKGNAMESUFFIX?=        -server
-DISTNAME=      ${PORTNAME}-standard-${PORTVERSION}-beta
+DISTNAME=      ${PORTNAME}-${PORTVERSION}-beta

 MAINTAINER=    sysadmin@alexdupre.com

-WRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}-beta
 SLAVEDIRS=     databases/mysql40-client
 DB_DIR?=       /var/db/mysql
 USE_PERL5_RUN= yes
diff -ruN mysql40-server.orig/distinfo mysql40-server/distinfo
--- mysql40-server.orig/distinfo        Thu Nov 21 00:12:44 2002
+++ mysql40-server/distinfo     Thu Nov 21 00:16:07 2002
@@ -1 +1 @@
-MD5 (mysql-standard-4.0.5-beta.tar.gz) = a921802846c45a737d1c4d024b84ef19
+MD5 (mysql-4.0.5-beta.tar.gz) = a921802846c45a737d1c4d024b84ef19

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org

Today's excuse: not properly grounded, please bury computer
Comment 2 Sergey Matveychuk 2002-12-03 23:19:14 UTC
Port was tested - it's works.
Can it be commited?

----
Sem.
Comment 3 Alex Dupre 2002-12-20 21:00:09 UTC
Update to 4.0.6. This is a gamma release, so it may be used in a
production environment. Commit needs repo-copy, I think.

http://www.gufi.org/~alex/mysql40.sh

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org
Comment 4 Alex Dupre 2003-01-07 23:13:33 UTC
Update to 4.0.8.

http://www.gufi.org/~alex/mysql40.sh

http://www.gufi.org/~alex/mysql40.tar.gz

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org

Today's excuse: the xy axis in the trackball is coordinated with the summer solstice
Comment 5 Peter Pentchev freebsd_committer 2003-01-15 11:44:20 UTC
State Changed
From-To: open->suspended

I'll take care of this, after the appropriate repo-copy takes place. 


Comment 6 Peter Pentchev freebsd_committer 2003-01-15 11:44:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

I'll take care of this, after the appropriate repo-copy takes place.
Comment 7 Peter Pentchev 2003-01-17 14:06:47 UTC
On Thu, Jan 16, 2003 at 11:42:40AM +0100, Alex Dupre wrote:
> Wednesday, January 15, 2003, 12:44:50 PM, you wrote:
> 
> PP> Synopsis: [New Port] MySQL 4.0.5
> 
> PP> I'll take care of this, after the appropriate repo-copy takes place.
> 
> Just updated to 4.0.9 release.
> 
> http://www.gufi.org/~alex/mysql40.tar.gz

There is something strange with mysql40-server/Makefile in your tarball.
Is there a reason for all those tabs in between the words?  See the
attached patch for a clarification of exactly which tabs I mean :)

Other than that, a hearty 'Thank you!' for all your work on this port,
and on keeping up with the MySQL releases.  I have been using various
4.0.x versions of MySQL for semi-production servers at work, and your
ports have been a great help.  I will commit them as soon as the
repo-copy from the existing mysql323-* ports is done.

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net	roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
If I had finished this sentence,

diff -urN -x CVS mysql40-server/Makefile mysql40-server-roam/Makefile
--- mysql40-server/Makefile	Thu Jan 16 12:17:19 2003
+++ mysql40-server-roam/Makefile	Fri Jan 17 15:51:49 2003
@@ -34,23 +34,23 @@
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=${DB_DIR} \
-		--without-debug	\
+		--without-debug \
 		--without-readline \
-		--without-bench	\
+		--without-bench \
 		--without-extra-tools \
 		--with-libwrap \
 		--with-raid \
 		--with-mysqlfs \
 		--with-vio \
 		--with-low-memory \
-		--with-comment='FreeBSD	port: ${PKGNAME}' \
+		--with-comment='FreeBSD port: ${PKGNAME}' \
 		--with-server-suffix='' \
 		--program-prefix=''
 
 .if ${MACHINE_ARCH} == "i386"
 CONFIGURE_ARGS+=--enable-assembler --with-berkeley-db
 .endif
-.if defined(WITH_CHARSET) && ${WITH_CHARSET} !=	""
+.if defined(WITH_CHARSET) && ${WITH_CHARSET} != ""
 CONFIGURE_ARGS+=--with-charset=${WITH_CHARSET}
 .endif
 .if defined(WITH_XCHARSET) && ${WITH_XCHARSET} != ""
@@ -100,39 +100,39 @@
 	@${ECHO} "	WITH_CHARSET=charset	Define the primary built-in charset (latin1)."
 	@${ECHO} "	WITH_XCHARSET=list	Define other built-in charsets (may be 'all')."
 	@${ECHO} "	WITH_OPENSSL=yes	Enable secure connections."
-	@${ECHO} "	DB_DIR=directory	Set alternate directory	for database files"
+	@${ECHO} "	DB_DIR=directory	Set alternate directory for database files"
 	@${ECHO} "				(default is /var/db/mysql)."
 	@${ECHO} "	SKIP_INSTALL_DB=yes	Skip database initialization"
-	@${ECHO} "				(useful	for upgrades)."
+	@${ECHO} "				(useful for upgrades)."
 	@${ECHO} "	SKIP_DNS_CHECK=yes	Don't run resolveip to do an additional"
 	@${ECHO} "				DNS check before inserting local hostname to"
 	@${ECHO} "				mysql database"
-	@${ECHO} "				(use if	your machine has no official DNS entry)."
-	@${ECHO} "	BUILD_STATIC=yes	Build a	static version of mysqld."
+	@${ECHO} "				(use if your machine has no official DNS entry)."
+	@${ECHO} "	BUILD_STATIC=yes	Build a static version of mysqld."
 	@${ECHO} "	BUILD_OPTIMIZED=yes	Add -mcpu=i686 to CFLAGS."
 	@${ECHO} ""
 
 .if defined(WITH_OPENSSL) && defined(BUILD_STATIC)
 pre-configure:
-	@${ECHO} "You can't use	the BUILD_STATIC option	when using OpenSSL."
+	@${ECHO} "You can't use the BUILD_STATIC option when using OpenSSL."
 	@${FALSE}
 .endif
 
 .if exists(${DB_DIR}) && !defined(PACKAGE_BUILDING) && !defined(OVERWRITE_DB) && !defined(SKIP_INSTALL_DB)
 pre-install:
-	@${ECHO} "You appear to	already	have a mysql database directory	in ${DB_DIR}."
+	@${ECHO} "You appear to already have a mysql database directory in ${DB_DIR}."
 	@${ECHO} ""
 	@${ECHO} "In order to preserve your existing data, you should:"
-	@${ECHO} "	- dump all your	databases"
-	@${ECHO} "	- kill mysql if	it is running"
+	@${ECHO} "	- dump all your databases"
+	@${ECHO} "	- kill mysql if it is running"
 	@${ECHO} "	- delete the ${DB_DIR} directory"
 	@${ECHO} "	- run 'make install'"
-	@${ECHO} "	- start	up mysql"
-	@${ECHO} "	- re-create all	of your	database"
+	@${ECHO} "	- start up mysql"
+	@${ECHO} "	- re-create all of your database"
 	@${ECHO} "	- re-load your data"
 	@${ECHO} ""
-	@${ECHO} "If you understand the	consequences of	this upgrade, please re-build this"
-	@${ECHO} "port with the	environment variable OVERWRITE_DB defined."
+	@${ECHO} "If you understand the consequences of this upgrade, please re-build this"
+	@${ECHO} "port with the environment variable OVERWRITE_DB defined."
 	@${FALSE}
 .endif
 
@@ -145,22 +145,22 @@
 	${PREFIX}/bin/mysql_install_db
 .endif
 .endif
-	@${SETENV} DB_DIR=${DB_DIR} ${SH} ${PKGINSTALL}	${PKGNAME} POST-INSTALL
+	@${SETENV} DB_DIR=${DB_DIR} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 .endif
-	@${SED}	"s|%%PREFIX%%|${PREFIX}|g; s|%%DB_DIR%%|${DB_DIR}|g" < ${FILESDIR}/mysql-server.sh > ${PREFIX}/etc/rc.d/mysql-server.sh
+	@${SED} "s|%%PREFIX%%|${PREFIX}|g; s|%%DB_DIR%%|${DB_DIR}|g" < ${FILESDIR}/mysql-server.sh > ${PREFIX}/etc/rc.d/mysql-server.sh
 	@${CHMOD} 750 ${PREFIX}/etc/rc.d/mysql-server.sh
 
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}/Flags
 .for doc in ${DOCS}
-	${INSTALL_DATA}	${WRKSRC}/Docs/${doc} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/Docs/${doc} ${DOCSDIR}
 .endfor
-	${INSTALL_DATA}	${WRKSRC}/Docs/Flags/*.gif ${DOCSDIR}/Flags
+	${INSTALL_DATA} ${WRKSRC}/Docs/Flags/*.gif ${DOCSDIR}/Flags
 .endif
 
 # MySQL-Client part
 .else
-MAN1=		isamchk.1 isamlog.1 mysql.1 mysql_zap.1	mysqlaccess.1  \
+MAN1=		isamchk.1 isamlog.1 mysql.1 mysql_zap.1 mysqlaccess.1  \
 		mysqladmin.1 mysqld.1 mysqld_multi.1 mysqld_safe.1 mysqldump.1 \
 		mysqlshow.1 perror.1 replace.1
 
@@ -171,7 +171,7 @@
 MAKE_ENV=	CLIENT_ONLY="${CLIENT_ONLY}"
 
 post-install:
-	@${SED}	"s|%%PREFIX%%|${PREFIX}|g" < ${FILESDIR}/mysql-client.sh > ${PREFIX}/etc/rc.d/000.mysql-client.sh
+	@${SED} "s|%%PREFIX%%|${PREFIX}|g" < ${FILESDIR}/mysql-client.sh > ${PREFIX}/etc/rc.d/000.mysql-client.sh
 	@${CHMOD} 750 ${PREFIX}/etc/rc.d/000.mysql-client.sh
 
 .endif
Comment 8 Peter Pentchev freebsd_committer 2003-01-31 16:05:45 UTC
State Changed
From-To: suspended->closed

New port committed after the repocopy. 
Thanks for the submission and the patience! :)